#include "system/signals.hpp"

using namespace std;

int main() {
    auto sigs = Signals();
    Signal *sig = nullptr;
    int i=0;
    string sname = "";

    while (i < 10) {
        sname = "signal" + to_string(i);
        sig = new Signal(sname);
        sigs.add(*sig);
        i++;
    }

};
